package com.usky.dxtop.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class DishExport {


    /**
     * 序列号
     */
    @Excel(name = "序列号", height = 6, width = 20)
    private Long seq;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", height = 6, width = 20,format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 卡id
     */
    @Excel(name = "卡id", height = 6, width = 20)
    private String card;
    /**
     * 卡编号
     */
    @Excel(name = "卡编号", height = 6, width = 20)
    private String cardNo;
    /**
     *1 消费 1001 消费撤单
     */
    @Excel(name = "消费类型", height = 6, width = 20)
    private String type;
    /**
     *终端id
     */
    @Excel(name = "终端id", height = 6, width = 20)
    private Integer term;
    /**
     * 餐厅id
     */
    @Excel(name = "餐厅id", height = 6, width = 20)
    private Integer shop;
    /**
     * 终端名称
     */
    @Excel(name = "终端名称", height = 6, width = 20)
    private String termName;
    /**
     * 餐厅名称
     */
    @Excel(name = "餐厅名称", height = 6, width = 20)
    private String shopName;
    /**
     *金额
     */
    @Excel(name = "金额", height = 6, width = 20)
    private BigDecimal amt;
    /**
     * 卡余额
     */
    @Excel(name = "卡余额", height = 6, width = 20)
    private BigDecimal balance;
    /**
     * 0主账号1补贴账户
     */
    @Excel(name = "账户类型", height = 6, width = 20)
    private String account;
    /**
     * 1 早餐 2 午餐 3 晚餐 4 夜宵
     */
    @Excel(name = "餐别", height = 6, width = 20)
    private String part;
    /**
     * 用户姓名
     */
    @Excel(name = "用户姓名", height = 6, width = 20)
    private String name;
    /**
     * 用户唯一识别号
     */
    @Excel(name = "用户唯一识别号", height = 6, width = 20)
    private String mob;
    /**
     * 商品信息
     */
    private String details;
    /**
     * 支付信息
     */
    private String payments;
    /**
     * 用户手机号
     */
    @Excel(name = "用户手机号", height = 6, width = 20)
    private String userPhone;

}
